/***************************************************************************
**
** Copyright (C) 2010, 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (directui@nokia.com)
**
** This file is part of libmeegotouch.
**
** If you have questions regarding the use of this file, please contact
** Nokia at directui@nokia.com.
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License version 2.1 as published by the Free Software Foundation
** and appearing in the file LICENSE.LGPL included in the packaging
** of this file.
**
****************************************************************************/

#ifndef ML10N_MLOCALENULLCONFIGITEM_H
#define ML10N_MLOCALENULLCONFIGITEM_H

#include <QString>
#include <QObject>

#include "mlocaleexport.h"

#include "mlocaleabstractconfigitem.h"

namespace ML10N {

class MLocaleNullConfigItemPrivate;

class MLOCALE_EXPORT MLocaleNullConfigItem : public MLocaleAbstractConfigItem
{
Q_OBJECT
  public:
    MLocaleNullConfigItem( const QString& key );
    virtual ~MLocaleNullConfigItem();

    bool isValid() const;
    QString value() const;
    void setValue( const QString& value );

  private:
    MLocaleNullConfigItemPrivate *const d_ptr;
};

}

#endif
